[PATCH blktests] nvme/046: change nvme io-passthru command option from -o to --opcode

Shin'ichiro Kawasaki shinichiro.kawasaki at wdc.com
Thu Jan 25 22:10:37 PST 2024


A recent commit in nvme-cli v2.6 changed the single letter of the
--opcode option from -o to -O. This caused the failure of nvme/046. To
make the test case work regardless of the nvme-cli version, replace -o
with --opcode.

Signed-off-by: Shin'ichiro Kawasaki <shinichiro.kawasaki at wdc.com>
---
 tests/nvme/046 | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/tests/nvme/046 b/tests/nvme/046
index 942f252..7576a24 100755
--- a/tests/nvme/046
+++ b/tests/nvme/046
@@ -25,13 +25,13 @@ test_device() {
 
 	chmod g+r,o+r "$ngdev"
 
-	if ! _run_user "nvme io-passthru ${ngdev} -o 2 -l 4096 \
+	if ! _run_user "nvme io-passthru ${ngdev} --opcode 2 -l 4096 \
 		-n $nsid -r" >> "${FULL}" 2>&1; then
 		echo "Error: io-passthru read failed"
 	fi
 
-	if _run_user "echo hello | nvme io-passthru ${ngdev} -o 1 -l 4096 \
-		-n $nsid -r" >> "${FULL}" 2>&1; then
+	if _run_user "echo hello | nvme io-passthru ${ngdev} --opcode 1 \
+		-l 4096 -n $nsid -r" >> "${FULL}" 2>&1; then
 		echo "Error: io-passthru write passed (unexpected)"
 	fi
 
-- 
2.43.0




More information about the Linux-nvme mailing list